Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Install Tool
Created: 2014-01-27 Assigned To: Alexander Opitz
Updated: 2014-03-08 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: TYPO3 breaks if docblock is removed by opcode cache
Description

It is possible with Zend OPcache, Zend Optimizer+ and eAccelerator to remove the docblock from the cached opcode. But this is
needed for Extbase & Fluid.

What we get on install:

PHP Fatal error:  Call to a member function get() on a non-object in
/home/opitz/projects/typo3-test/typo3-src/typo3/sysext/install/Classes/Controller/Action/AbstractAction.php on line 78

We should check this separately and only in the 123 install tool before startup.

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22

Associated revisions
Revision 81e7fcba - 2014-03-08 21:04 - Helmut Hummel

[BUGFIX] Introduce failsafe view in install tool

The installer does not work, if doc comment reflection
is broken, so we need to make the first install step
more robust by using inject methods and introducing
a failsafe view which does simple php templating
in case critical errors (like doc comments disabled)
occur.

Resolves: #55352
Releases: 6.2
Change-Id: I424d6a290b65ae023ec19a745477cfaecdef72c7
Reviewed-on: https://review.typo3.org/27067
Tested-by: Alexander Opitz
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-01-27 11:43 - Alexander Opitz
- Category changed from Default to Install Tool

#2 - 2014-01-27 11:58 - Alexander Opitz

In the class TYPO3\CMS\Install\SystemEnvironment\Check we have the function "checkReflectionDocComment()" but this test is to late.

#3 - 2014-01-27 12:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#4 - 2014-01-27 12:51 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#5 - 2014-01-27 12:56 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#6 - 2014-03-06 08:35 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#7 - 2014-03-06 08:38 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#8 - 2014-03-06 09:52 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#9 - 2014-03-06 09:54 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#10 - 2014-03-06 14:09 - Gerrit Code Review
Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#11 - 2014-03-06 15:41 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#12 - 2014-03-06 16:16 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27067

#13 - 2014-03-08 21:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:81e7fcba88093e62c2b731b481df07caa136e460.
